What has happened to desktop icons in rawhide?

Bruno Wolff III bruno at wolff.to
Sat Jan 22 19:31:57 UTC 2011

On Sat, Jan 22, 2011 at 19:16:59 +0000,
  Peter Robinson <pbrobinson at gmail.com> wrote:
> Please don't. There's a lot of devices that can't run gnome-shell but
> can run the gnome 2 configuration perfectly. With dependencies like
> that on devices with small amounts of space you end up with a lot of
> extra stuff you don't want or need. There must some other way to
> achieve it for those that want it without forcing those that can't
> have or don't want it to have unnecessary isssues and deps.

Ideally, I'd think you'd want to have it pulled in by default when going from
F13 or F14 to F15 (and probably F16) and then be able to removed it manually.
I don't know if there is some trickery with obsoletes that might get this
to work.

> Given that "yum upgrade" isn't a fully supported method for upgrade I
> don't see any issue with documenting that they then need to do a "yum
> groupinstall gnome3" as the documented ways of doing yum upgrade have
> always suggested to do similar to get new apps that weren't previously
> installed.

Preupgrades are officially supported. Do preupgrades have a way of specifying
that certain packages should be included without creating a hard dependency?

Also it seems that right now gnome-shell is a hard dependency for gnome as
metacity (at least, I don't know about compiz) doesn't get started by
default when gnome-shell is missing. I think that's probably just an oversight,
but they may be something more complex going on.

More information about the test mailing list